> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable a Pay Link

> Disable an active paylink, preventing any further payments from being made through it.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml PATCH /v1/paylink/{id}/disable
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/paylink/{id}/disable:
    patch:
      tags:
        - Paylink
      summary: Disable a Pay Link
      description: >-
        Disable an active paylink, preventing any further payments from being
        made through it.
      operationId: PaylinkController_disablePaylinkViaApi
      parameters:
        - name: id
          required: true
          in: path
          description: The unique ID of the pay link you want to disable or enable.
          schema:
            type: string
        - name: disabled
          required: true
          in: query
          description: >-
            Toggle this to true to disable the pay link, or false to re-enable
            it.
          schema:
            type: boolean
            enum:
              - true
              - false
            description: Set to true to disable the pay link or false to enable it.
        - name: apiKey
          required: true
          in: query
          description: >-
            Your API key can be generated on the Helio Dashboard’s settings
            page.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Indicates whether the pay link has been successfully disabled or
            re-enabled.
          content:
            application/json:
              examples:
                disabled:
                  summary: Pay link successfully disabled
                  value:
                    disabled: true
                enabled:
                  summary: Pay link successfully re-enabled
                  value:
                    disabled: false
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````